<template>
  <v-app>
    <v-main>
      <v-container>
        <v-row>
          <v-col v-for="movie in movies" :key="movie.id" cols="4">
            <movie-card :movie="movie" />
          </v-col>
        </v-row>

        <v-row class="mx-auto my-12">
          <v-btn
            color="primary"
            v-if="currentPage < totalPages"
            @click="getPopularMovies(currentPage + 1)"
          >
            Ver mas
          </v-btn>
        </v-row>
      </v-container>
    </v-main>
  </v-app>
</template>

<script>
import MovieCard from "../components/MovieCard.vue";
import ApiService from "../services/api.service.js";

export default {
  components: {
    MovieCard,
  },
  data() {
    return {
      movies: [],
      currentPage: 1,
      totalPages: null,
    };
  },
  mounted() {
    this.getPopularMovies(this.currentPage);
  },
  methods: {
    getPopularMovies(currentPage) {
      //Llamar a la api que esta en api.service
      //lo que retorne debe ser un array, que se le chanta al peliculas
      //this.pelicuas = res que te da el fetch
      ApiService.getPopular(currentPage)
        .then((res) => {
          console.log(res.data);
          if (res.status == 200) {
            if (currentPage > 1) {
              this.movies = this.movies.concat(res.data.results);
            } else {
              this.movies = res.data.results;
            }

            this.totalPages = res.data.total_pages;
            this.currentPage = res.data.page;
          }
        })
        .catch((err) => {
          console.log("Error");
          console.log(err);
        });
    },
  },
};
</script>
